﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Level1Manager : MonoBehaviour {


    private int _goal = 9;

    public int signsRead = 0;

    private Level1UI _level1UI;

    [SerializeField]
    private GameObject _canvasNextLevel;

    private PlayerScript _playerScript;
    private CameraController _cameraController;

    private AudioManager _audioManager;

    void Start()
    {
        _level1UI = GameObject.Find("CanvasLevel").GetComponent<Level1UI>();
        _playerScript = GameObject.Find("Player").GetComponent<PlayerScript>();
        _cameraController = GameObject.Find("Main Camera").GetComponent<CameraController>();
        _audioManager = GameObject.Find("AudioManager").GetComponent<AudioManager>();
    }

    public void UpdateLevel1UI()
    {
        _level1UI.UpdateTextCount();
        
    }

    public void EndLevelCheck()
    {
        if (signsRead == _goal)
        {
            _audioManager.Stop("Main Theme");
            _audioManager.PlayOneShot("Victory");
            _playerScript.canMove = false;
            _cameraController.active = false;
            Time.timeScale = 1;
            Cursor.visible = true;
            Cursor.lockState = CursorLockMode.None;
            _canvasNextLevel.SetActive(true);
        }
    }
}
