﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Level2Manager : MonoBehaviour {
    private int _goal = 3;

    public int rightChoice = 0;

    [SerializeField]
    private GameObject _canvasNextLevel;

    private PlayerScript _playerScript;
    private CameraController _cameraController;

    [SerializeField]
    private GameObject[] _canvasToBeClosed;

    private AudioManager _audioManager;

    private void Start()
    {
        _playerScript = GameObject.Find("Player").GetComponent<PlayerScript>();
        _cameraController = GameObject.Find("Main Camera").GetComponent<CameraController>();
        _audioManager = GameObject.Find("AudioManager").GetComponent<AudioManager>();
    }

    public void EndLevelCheck()
    {
        if (rightChoice == _goal)
        {
            for (int i = 0; i < 12; i++)
            {
                _canvasToBeClosed[i].SetActive(false);
            }
            _playerScript.canMove = false;
            _cameraController.active = false;
            Time.timeScale = 1;
            Cursor.visible = true;
            Cursor.lockState = CursorLockMode.None;
            _canvasNextLevel.SetActive(true);
            _audioManager.Stop("Main Theme");
            _audioManager.Play("Victory");
        }
    }
}
