﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Level3Manager : MonoBehaviour
{
    public int stage;

    [SerializeField]
    private GameObject[] _bridge1;
    [SerializeField]
    private GameObject[] _bridge2;

    private float _timer = 0;

    [SerializeField]
    private GameObject _canvasNextLevel;

    private PlayerScript _playerScript;
    private CameraController _cameraController;

    [SerializeField]
    private GameObject _bridge1InvisibleWall;
    [SerializeField]
    private GameObject _bridge2InvisibleWall;

    private bool _pressed = false;

    private AudioManager _audioManager;
    private bool _playVictory = false;

    // Use this for initialization
    void Start()
    {
        stage = 1;
        _playerScript = GameObject.Find("Player").GetComponent<PlayerScript>();
        _cameraController = GameObject.Find("Main Camera").GetComponent<CameraController>();
        _audioManager = GameObject.Find("AudioManager").GetComponent<AudioManager>();
    }

    public void ButtonID(int id)
    {
        TestAnswer(id);
    }

    void TestAnswer(int answer)
    {
        if ((answer == 1) && (stage == 1))
        {
            stage = 2;
            _bridge1InvisibleWall.SetActive(false);
            StartCoroutine(WaitTime());
        }

        if ((answer == 8) && (stage == 2))
        {
            stage = 3;
            _bridge2InvisibleWall.SetActive(false);
            StartCoroutine(WaitTime());
        }

        if ((answer == 10) && (stage == 3))
        {
            _playerScript.canMove = false;
            _cameraController.active = false;
            Cursor.visible = true;
            Cursor.lockState = CursorLockMode.None;
            if (_playVictory == false)
            {
                _audioManager.PlayOneShot("Victory");
                _playVictory = true;
            }
            _canvasNextLevel.SetActive(true);
            stage = 3;
        }
    }

    private IEnumerator WaitTime()
    {
        for (int i = 0; i < 5; i++)
        {
            yield return new WaitForSeconds(0.75f);
            if (stage == 2)
            {
                _audioManager.PlayOneShot("Metal Bridge");
                _bridge1[i].SetActive(true);
            }else if (stage == 3)
            {
                _audioManager.PlayOneShot("Metal Bridge");
                _bridge2[i].SetActive(true);
            }
        }
    }
    
}