﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Level4Manager : MonoBehaviour
{
    [SerializeField]
    private GameObject _canvasNextLevel;

    private PlayerScript _playerScript;
    private CameraController _cameraController;

    private AudioManager _audioManager;
    private void Start()
    {
        _playerScript = GameObject.Find("Player").GetComponent<PlayerScript>();
        _cameraController = GameObject.Find("Main Camera").GetComponent<CameraController>();
        _audioManager = GameObject.Find("AudioManager").GetComponent<AudioManager>();
    }

    private void OnTriggerEnter(Collider other)
    {
        if (other.tag == "Player")
        {
            _playerScript.canMove = false;
            _cameraController.active = false;
            Cursor.visible = true;
            Cursor.lockState = CursorLockMode.None;
            _canvasNextLevel.SetActive(true);
            _audioManager.PlayOneShot("Victory");
        }
    }
}
