﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;
using UnityEngine.UI;

public class Level5Manager : MonoBehaviour
{

    [SerializeField]
    private GameObject _endGameCanvas;
    private bool _endGame = false;

    private Image _endingPanel;
    private Text _endingText;
    private Image _whiteMouseEndingImage;

    private float _alpha = 0;

    private void Start()
    {
        _endingPanel = GameObject.Find("Ending Panel").GetComponent<Image>();
        _endingText = GameObject.Find("Ending Text").GetComponent<Text>();
        _whiteMouseEndingImage = GameObject.Find("Ending White Mouse Image").GetComponent<Image>();
    }

    private void OnTriggerEnter(Collider other)
    {
        if (other.tag == "Player")
        {
            _endGameCanvas.SetActive(true);
            _endGame = true;
            StartCoroutine(WaitTime());
        }
    }

    private void Update()
    {
        if (_endGame == true && Input.GetMouseButtonDown(0))
        {
            SceneManager.LoadScene("MainMenu");
        }
    }

    private IEnumerator WaitTime()
    {
        for (int i = 0; i < 100; i++)
        {
            _alpha += 0.01f;
            _endingPanel.color = new Color(0, 0, 0, _alpha);
            _endingText.color = new Color(1, 1, 1, _alpha);
            _whiteMouseEndingImage.color = new Color(1, 1, 1, _alpha);
            yield return new WaitForSeconds(0.04f);
        }
    }
}
