﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class MainMenuScript : MonoBehaviour {

    [SerializeField]
    private GameObject _mainPanel;
    [SerializeField]
    private GameObject _chooseLevelPanel;

    private AudioManager _audioManager;

    private void Start()
    {
        Cursor.visible = true;
        Cursor.lockState = CursorLockMode.None;

        _audioManager = GameObject.Find("AudioManager").GetComponent<AudioManager>();
    }

    public void Play()
    {
        SceneManager.LoadScene("Level1");
    }

    public void Exit()
    {
        Application.Quit();
    }

    public void CloseMainPanel()
    {
        _mainPanel.SetActive(false);
        _chooseLevelPanel.SetActive(true);
    }

    public void CloseChooseLevelPanel()
    {
        _chooseLevelPanel.SetActive(false);
        _mainPanel.SetActive(true);
    }

    public void PlayHoverMouseSound()
    {
        _audioManager.PlayOneShot("UI Mouse Hover");
    }

    public void PlayOnClick()
    {
        _audioManager.Play("UI Mouse Click");
    }
}
