﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;



public class GroundButton : MonoBehaviour {

    [SerializeField]
    private int _buttonID;
    [SerializeField]
    private bool _pressed = false;
    private float _speed = 0.1f;
    private float _downSpeed = 0.5f;

    private Level3Manager _level3Manager;
    private PlayerScript _playerScript;
    private bool _buttonAlreadyPressed = false;

    [SerializeField]
    private int _buttonArea;

    private AudioManager _audioManager;

    [SerializeField]
    private GameObject _yellowNumber;
    [SerializeField]
    private GameObject _secondCollorNumber;

	// Use this for initialization
	void Start () {
        _level3Manager = GameObject.Find("LevelManager").GetComponent<Level3Manager>();
        _playerScript = GameObject.Find("Player").GetComponent<PlayerScript>();
        _audioManager = GameObject.Find("AudioManager").GetComponent<AudioManager>();
    }
	
	// Update is called once per frame
	void Update () {

        if ( (_pressed == true) && (transform.position.y > -0.25))
        {

            transform.Translate(-Vector3.forward * _downSpeed * Time.deltaTime);
        }

        if ((_pressed == false) && (transform.position.y < -0.06))
        {
            transform.Translate(Vector3.forward * _speed * Time.deltaTime);
        }
	}

    private void OnTriggerEnter (Collider other)
    {
        if (other.tag == "Player")
        {
            _pressed = true;

            if (_buttonID == 1 && _level3Manager.stage == 1 && _buttonArea == 1 &&_buttonAlreadyPressed == false)
            {
                _playerScript.LifeUp();
                _audioManager.PlayOneShot("Right");
                _yellowNumber.SetActive(false);
                _secondCollorNumber.SetActive(true);
            }else if (_buttonID != 1 && _level3Manager.stage == 1 && _buttonAlreadyPressed == false && _buttonArea == 1)
            {
                _playerScript.Damage();
                _audioManager.PlayOneShot("Wrong");
                _yellowNumber.SetActive(false);
                _secondCollorNumber.SetActive(true);
            }

            if (_buttonID == 8 && _level3Manager.stage == 2 && _buttonArea == 2 && _buttonAlreadyPressed == false )
            {
                _playerScript.LifeUp();
                _audioManager.PlayOneShot("Right");
                _yellowNumber.SetActive(false);
                _secondCollorNumber.SetActive(true);
            }
            else if (_buttonID != 8 && _level3Manager.stage == 2 && _buttonAlreadyPressed == false && _buttonArea == 2)
            {
                _playerScript.Damage();
                _audioManager.PlayOneShot("Wrong");
                _yellowNumber.SetActive(false);
                _secondCollorNumber.SetActive(true);
            }

            if (_buttonID != 10 && _level3Manager.stage == 3 && _buttonAlreadyPressed == false && _buttonArea == 3)
            {
                _playerScript.Damage();
                _audioManager.PlayOneShot("Wrong");
                _yellowNumber.SetActive(false);
                _secondCollorNumber.SetActive(true);
            }
            else if (_buttonID != 10 && _level3Manager.stage == 3 && _buttonAlreadyPressed == false && _buttonArea == 3)
            {
                _yellowNumber.SetActive(false);
                _secondCollorNumber.SetActive(true);
            }

            _buttonAlreadyPressed = true;

            _level3Manager.ButtonID(_buttonID);
        }
    }

    private void OnTriggerExit(Collider other)
    {
        if (other.tag == "Player")
        {
            _pressed = false;
        }
    }
}
