﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.EventSystems;
using UnityEngine.UI;

public class DropZone : MonoBehaviour, IDropHandler
{
    public int slotKey;
    private Image img;

    [SerializeField]
    private int _projectorID;
    
    //private int _keysCount = 0;

    public ProjectorScript projectorScript;

    private ItemCanvasManager _itemCanvasManager;

    private OpenDoorManager _openDoorManager;

    private KeyManagers _keyManagers;

    private AudioManager _audioManager;

    private void Start()
    {
        img = gameObject.GetComponent<Image>();

        projectorScript = GameObject.Find("projector").GetComponent<ProjectorScript>();

        _itemCanvasManager = GameObject.Find("Item Canvas").GetComponent<ItemCanvasManager>();

        _openDoorManager = GameObject.Find("Door Manager").GetComponent<OpenDoorManager>();

        _keyManagers = GameObject.Find("KeysManager").GetComponent<KeyManagers>();

        _audioManager = GameObject.Find("AudioManager").GetComponent<AudioManager>();
    }

    public void OnDrop(PointerEventData eventData)
    {

        Draggable d = eventData.pointerDrag.GetComponent<Draggable>();
        if (d != null)
        {
            if (slotKey == d.keyId)
            {
                d.parentToReturnTo = this.transform;
                img.color = new Color(0, 1, 0, 0.4f);
                //_keysCount++;
                _keyManagers.keyCount++;
                OpenDooRValidator();
                _audioManager.PlayOneShot("Right");
            }
        }
    }

    //public void CubeImage()
    //{
       // this.transform.Find("Cube Image").gameObject.SetActive(true);
    //}

    private void OpenDooRValidator()
    {
        if (_projectorID == _keyManagers.keyCount)
        {
            _itemCanvasManager.HideSlots();
            _keyManagers.HideInventoryImages();
            _openDoorManager.door[_projectorID - 1] = 1;
            projectorScript.ProjectorComunicationWithDoorLight();
            _keyManagers.keyCount = 0;
        }
    }

}
