﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class KeyObject : MonoBehaviour
{
    private ItemCanvasManager _itemCanvasManager;
    private DropZone _dropZone;
    private KeyManagers _keymanagers;
    [SerializeField]
    private GameObject _slotKey;

    private AudioManager _audioManager;
    
    void Start()
    {
        _itemCanvasManager = GameObject.Find("Item Canvas").GetComponent<ItemCanvasManager>();
        _keymanagers = GameObject.Find("KeysManager").GetComponent<KeyManagers>();
        _audioManager = GameObject.Find("AudioManager").GetComponent<AudioManager>();
    }

    private void OnTriggerEnter(Collider other)
    {
        if (other.tag=="Player")
        {
            if (this.gameObject.tag == "CubeKey")
            {
                _slotKey.SetActive(true);
                _itemCanvasManager.ShowCubeItem();
                _keymanagers.cubeImage = true;
            } else if (this.gameObject.tag == "Sphere Key")
            {
                _slotKey.SetActive(true);
                _itemCanvasManager.ShowSphereItem();
                _keymanagers.sphereImage = true;
            } else if (this.gameObject.tag == "PyramidKey")
            {
                _slotKey.SetActive(true);
                _itemCanvasManager.ShowPyramidItem();
                _keymanagers.pyramidImage = true;
            }
            _audioManager.PlayOneShot("Sci-fi Pickup");
            Destroy(this.gameObject);
        }
    }
}
