﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class RockBaseScript : MonoBehaviour {

    [SerializeField]
    private Canvas _rockCanvas;
    [SerializeField]
    private bool _rightOrWrong;

    [SerializeField]
    private GameObject _wrongSphere;
    [SerializeField]
    private GameObject _rightSphere;
    [SerializeField]
    private GameObject _defaultSphere;

    private Level2Manager _level2Manager;
    private bool _wasPressedBefore = false;

    private PlayerScript _playerScript;

    private AudioManager _audioManager;

    [SerializeField]
    private GameObject _selfArrow;
    [SerializeField]
    private GameObject _arrow1;
    [SerializeField]
    private GameObject _arrow2;

    private void Start()
    {
        _level2Manager = GameObject.Find("LevelManager").GetComponent<Level2Manager>();
        _playerScript = GameObject.Find("Player").GetComponent<PlayerScript>();
        _audioManager = GameObject.Find("AudioManager").GetComponent<AudioManager>();
    }

    private void Update()
    {
        if (_playerScript.life < 1)
        {
            HideEKey();
        }
    }

    private void OnTriggerStay(Collider other)
    {
        if ((Input.GetKey(KeyCode.E) || Input.GetMouseButton(0)) && _rightOrWrong == true)
        {
            _defaultSphere.gameObject.SetActive(false);
            _rightSphere.gameObject.SetActive(true);
            _selfArrow.SetActive(false);
            _arrow1.SetActive(false);
            _arrow2.SetActive(false);
            if (_wasPressedBefore == false)
            {
                if (_playerScript.life < 3)
                {
                    _playerScript.LifeUp();
                }
                _audioManager.Play("Right");
                _level2Manager.rightChoice += 1;
                _wasPressedBefore = true;
                _level2Manager.EndLevelCheck();
            }
            
        } else if ((Input.GetKey(KeyCode.E) || Input.GetMouseButton(0)) && _rightOrWrong == false)
        {
            _defaultSphere.gameObject.SetActive(false);
            _wrongSphere.gameObject.SetActive(true);
            _selfArrow.SetActive(false);
            if (_wasPressedBefore == false)
            {
                _audioManager.Play("Wrong");
                _playerScript.Damage();
                _wasPressedBefore = true;
            }
        }
    }

    private void OnTriggerEnter(Collider other)
    {
        if (other.tag == "Player")
        {
            ShowEKey();
        }
    }

    private void OnTriggerExit(Collider other)
    {
        if (other.tag == "Player")
        {
            HideEKey();
        }
    }

    private void ShowEKey()
    {
        _rockCanvas.gameObject.SetActive(true);
    }

    private void HideEKey()
    {
        _rockCanvas.gameObject.SetActive(false);
    }

}
