﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class SignReadScript : MonoBehaviour {

    [SerializeField]
    private Image _mouseImage;
    [SerializeField]
    private GameObject _signPanel;

    private bool _panelActive = false;

    private AudioManager _audioManager;

    private void Start()
    {
        _audioManager = GameObject.Find("AudioManager").GetComponent<AudioManager>();
    }

    private void OnTriggerStay(Collider other)
    {
        if ((other.tag == "Player") && (Input.GetKeyDown(KeyCode.E) || Input.GetMouseButtonDown(0)))
        {
            if (_panelActive == false)
            {
                _audioManager.PlayOneShot("Page Sound");
                ShowPanel();
                HideEKeyboard();
            }
            else
            {
                HidePanel();
                ShowEKeyboard();
            }
        }
    }

    void OnTriggerEnter(Collider other)
    {
        if (other.tag == "Player")
        {
            ShowEKeyboard();
        }
    }

    void OnTriggerExit(Collider other)
    {
        if (other.tag == "Player")
        {
            HideEKeyboard();
            HidePanel();
        }
    }

    private void ShowPanel()
    {
        _signPanel.gameObject.SetActive(true);
        _panelActive = true;
    }

    private void HidePanel()
    {
        _signPanel.gameObject.SetActive(false);
        _panelActive = false;
    }

    private void ShowEKeyboard()
    {
        _mouseImage.gameObject.SetActive(true);
    }

    private void HideEKeyboard()
    {
        _mouseImage.gameObject.SetActive(false);
    }
}
