﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class AreaTextScript : MonoBehaviour {

    [SerializeField]
    private Canvas _canvas;

    private PlayerScript _playerScript;

    private void Start()
    {
        _playerScript = GameObject.Find("Player").GetComponent<PlayerScript>();
    }

    private void OnTriggerEnter(Collider other)
    {
        ShowText();
    }

    private void Update()
    {
        if (_playerScript.life < 1)
        {
            HideText();
        }
    }

    private void OnTriggerExit(Collider other)
    {
        HideText();
    }

    private void ShowText()
    {
        _canvas.gameObject.SetActive(true);
    }

    private void HideText()
    {
        _canvas.gameObject.SetActive(false);
    }
}
