﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class ItemCanvasManager : MonoBehaviour
{
    [SerializeField]
    private RawImage _cubeImage;
    [SerializeField]
    private GameObject _slot1;
    [SerializeField]
    private Image _sphereImage;
    [SerializeField]
    private GameObject _slot2;
    [SerializeField]
    private Image _pyramidImage;
    [SerializeField]
    private GameObject _slot3;

    public void ShowCubeItem()
    {
        _cubeImage.gameObject.SetActive(true);
    }

    public void ShowSphereItem()
    {
        _sphereImage.gameObject.SetActive(true);
    }

    public void ShowPyramidItem()
    {
        _pyramidImage.gameObject.SetActive(true);
    }
    
    public void HideSlots()
    {
        _slot1.SetActive(false);
        _slot2.SetActive(false);
        _slot3.SetActive(false);
    }

    public void HideImages()
    {
        _cubeImage.gameObject.SetActive(false);
        _sphereImage.gameObject.SetActive(false);
        _pyramidImage.gameObject.SetActive(false);
    }
}
